import { Change, Changed, Created, FileInfo, Info } from '@yukawa/chain-base-angular-domain';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.Attachment <br/>
*/
export interface Attachment extends Changed, Created {
    readonly attachmentId?: string;
    category?: string;
    change?: Change;
    created?: Change;
    fepStatus?: FepStatus;
    file?: FileInfo;
    projectId?: string;
    taskId?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.Budget <br/>
*/
export interface Budget {
    amount?: number;
    money?: number;
    /**
    *	@deprecated
    */
    time?: number;
    unit?: string;
    unitPrice?: number;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.Comment <br/>
*/
export interface Comment extends Changed {
    change?: Change;
    commentId?: string;
    value?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.CustomField <br/>
*/
export interface CustomField {
    name?: string;
    required?: boolean;
    type?: string;
    value?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.FepStatus <br/>
*/
export interface FepStatus extends Changed {
    change?: Change;
    /**
    *	values: WAITING_FOR_CONFIRMATION, CONFIRMED, REJECTED, NEW<br/>
    */
    status?: string;
    userIds?: string[];
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.FinanceInfo <br/>
*/
export interface FinanceInfo {
    organizationId?: string;
    parentAccountName?: string;
    scenarioNames?: string[];
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.Goals <br/>
*/
export interface Goals {
    approach?: string;
    goal?: string;
    initialSituation?: string;
    partialGoals?: string;
    results?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.NextStep <br/>
*/
export interface NextStep {
    dueDate?: Date;
    info?: Info;
    responsiblePartnerId?: string;
    taskId?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.PartnerInfo <br/>
*/
export interface PartnerInfo {
    companyName?: string;
    email?: string;
    firstName?: string;
    lastName?: string;
    partnerId?: string;
    partnerType?: string;
    shortName?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.Project <br/>
*/
export interface Project extends Task {
    costScenarioIds?: string[];
    customer?: PartnerInfo;
    head?: PartnerInfo;
    lead?: PartnerInfo;
    offerValidUntil?: Date;
    /**
    *	values: lead,proposal,project<br/>
    *	@example lead
    */
    phase?: string;
    roles?: ProjectRole[];
    /**
    *	@example Fuer die Bearbeitung des Projektes wird eine Zeitdauer von 1 Monat angesetzt. Die Arbeiten koennen unmittelbar nach Beauftragung begonnen werden.
    */
    timeFrame?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.ProjectRole <br/>
*/
export interface ProjectRole {
    hourlyRate?: number;
    name?: string;
    roleId?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.ProjectSheet <br/>
*/
export interface ProjectSheet extends Changed, Created {
    budget?: Budget;
    change?: Change;
    created?: Change;
    info?: Info;
    nextSteps?: NextStep[];
    percentageOfCompletion?: number;
    projectId?: string;
    projectSheetId?: string;
    reportDate?: Date;
    /**
    *	values: green, yellow, red<br/>
    *	@example green
    */
    status?: string;
    /**
    *	values: internal, external<br/>
    *	@example internal
    */
    type?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.Risk <br/>
*/
export interface Risk extends Changed, Created {
    change?: Change;
    created?: Change;
    dueDate?: Date;
    mitigation?: string;
    name?: string;
    /**
    *	values: low, medium, high<br/>
    *	@example low
    */
    probability?: string;
    projectId?: string;
    responsiblePartnerId?: string;
    riskId?: string;
    /**
    *	values: low, medium, high<br/>
    *	@example low
    */
    severity?: string;
    /**
    *	values: open, closed<br/>
    *	@example closed
    */
    status?: string;
    taskId?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.domain.Task <br/>
*/
export interface Task extends Changed, Created {
    actualBudget?: Budget;
    actualEndDate?: Date;
    actualStartDate?: Date;
    actualSubBudget?: Budget;
    assignedUserIds?: string[];
    attachments?: Attachment[];
    change?: Change;
    comments?: Comment[];
    contactLogIds?: string[];
    costCenterId?: string;
    created?: Change;
    customFields?: CustomField[];
    financeInfo?: FinanceInfo;
    goals?: Goals;
    info?: Info;
    organizationId?: string;
    parentId?: string;
    plannedBudget?: Budget;
    plannedEndDate?: Date;
    plannedStartDate?: Date;
    plannedSubBudget?: Budget;
    position?: number;
    projectId?: string;
    role?: ProjectRole;
    status?: string;
    subTasks?: Task[];
    taskId?: string;
    type?: string;
}
